## javax.vecmath
Class Point2i

    java.lang.Object
      javax.vecmath.Tuple2i
          javax.vecmath.Point2i

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Point2i

extends Tuple2i
implements java.io.Serializable

A 2-element point represented by signed integer x,y coordinates.

Since:
  vecmath 1.4
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.vecmath.Tuple2i
`x, y`

Constructor Summary
`Point2i()` Constructs and initializes a Point2i to (0,0).
`Point2i(int[] t)` Constructs and initializes a Point2i from the array of length 2.
`Point2i(int x, int y)` Constructs and initializes a Point2i from the specified x and y coordinates.
`Point2i(Tuple2i t1)` Constructs and initializes a Point2i from the specified Tuple2i.

Method Summary

Methods inherited from class javax.vecmath.Tuple2i
`absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, clone, equals, get, get, getX, getY, hashCode, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, setX, setY, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Point2i

    public Point2i(int x,
                   int y)

  Constructs and initializes a Point2i from the specified x and y coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate

### Point2i

    public Point2i(int[] t)

  Constructs and initializes a Point2i from the array of length 2.

  Parameters:
    `t` - the array of length 2 containing x and y in order.

### Point2i

    public Point2i(Tuple2i t1)

  Constructs and initializes a Point2i from the specified Tuple2i.

  Parameters:
    `t1` - the Tuple2i containing the initialization x and y data.

### Point2i

    public Point2i()

  Constructs and initializes a Point2i to (0,0).

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.